Subject: Re: Please pull 'z1211' branch of wireless-2.6

From: Michael Buesch <[email-masked]>
Date: Sat, 22 Sep 2007 16:47:45 +0200

On Saturday 22 September 2007, Ulrich Kunitz wrote:
> Michael Buesch wrote:
> 
> > On Saturday 22 September 2007 11:48:00 Ulrich Kunitz wrote:
> > > A real high-quality driver will require Johannes' proposed
> > > mac80211 driver interface changes to be merged and TX
> > > confirmations handled in a way, that the semantics can really be
> > > supported by the driver. (Michael Buesh's patch is taping over the
> > > issue.)
> > 
> > No it is not. It is fixing the issue. It fixes the following issues:
> 
> > * You must ignore the Txstat-requested bit in the driver.
> 
> If that is really the case the flag should be removed from
> mac80211. There is no way for somebody looking at the code to know
> this.

It is used internally in mac80211.

> > * You must report bad frames with the excessive_retries set.
> 
> All bad frames or only those with actual excessive retries? Your patch
> set the excessive_retries flag for packets that couldn't be
> transmitted to the device because of an USB error. If the flag
> should be set for all kinds of errors it should be renamed.

Well, there is no better flag to set, currently.